---
title: "GET /_system/react/components/{guid} - React Components · RUAL Documentation"
description: "Get a specific React component by its GUID"
canonical: https://docs.rual.nl/cluster/api/react-components/system-react-components--guid-get
language: en
---

# GET /_system/react/components/{guid}

Get a specific React component by its GUID

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **guid** required | `string` | `"example"` | Unique identifier (GUID) |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "modified": 1782166695,
    "updated": 1782166695
  },
  "action_type_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
  "component_code": "text_input",
  "component_identifier": "text_input",
  "component_inpins": [
    {}
  ],
  "description": "Used by the nightly order sync.",
  "last_modified": {
    "firstname": "Joe",
    "lastname": "Doe",
    "user_guid": "b9ee6a631b24e78d1aa48aef0dc067fff7bfbacd24a56ef4ed1f08e537d48b6b",
    "username": "joe"
  },
  "name": "production"
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |
| `404` | `ERROR` | Component not found |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `react_components_view` | Required scope: react_components_view |
